/// <reference types="node" />
import { Component } from "react";
import { InputImplement } from '../../types/input.implement';
import { DateInputProps, DateInputValueType } from './date.types';
interface IState {
    value: DateInputValueType;
    error: boolean;
}
export declare class DateInput extends Component<DateInputProps, IState> implements InputImplement<DateInputValueType> {
    state: IState;
    validationTimeout: NodeJS.Timeout | undefined;
    inputRef: HTMLInputElement | null | undefined;
    shouldComponentUpdate(nextProps: DateInputProps, nextState: IState): boolean;
    setValue(value: DateInputValueType): Promise<DateInputValueType>;
    getValue(): DateInputValueType;
    clear(): Promise<DateInputValueType>;
    validation(): boolean;
    onChange: (event: any) => void;
    private onClick;
    click: () => void;
    focus: () => void;
    blur: () => void;
    render(): JSX.Element;
}
export {};
