/// <reference types="node" />
import { Component } from "react";
import { InputImplement } from '../../types/input.implement';
import { DatetimeInputProps, DatetimeInputValueType } from './datetime.types';
interface IState {
    value: DatetimeInputValueType;
    error: boolean;
}
export declare class DatetimeInput extends Component<DatetimeInputProps, IState> implements InputImplement<DatetimeInputValueType> {
    state: IState;
    validationTimeout: NodeJS.Timeout | undefined;
    shouldComponentUpdate(nextProps: DatetimeInputProps, nextState: IState): boolean;
    setValue(value: DatetimeInputValueType): Promise<DatetimeInputValueType>;
    getValue(): DatetimeInputValueType;
    clear(): Promise<DatetimeInputValueType>;
    validation(): boolean;
    onChange: (event: any) => void;
    private onClick;
    inputRef: HTMLInputElement | null | undefined;
    click: () => void;
    focus: () => void;
    blur: () => void;
    render(): JSX.Element;
}
export {};
