/// <reference types="node" />
import { Component, RefObject } from "react";
import { FormBuilder } from "../../formBuilder";
import { InputImplement } from '../../types/input.implement';
import { GroupInputProps, GroupInputValueType } from './group.interface';
interface IState {
    error: boolean;
    value: GroupInputValueType;
}
export declare class GroupInput extends Component<GroupInputProps, IState> implements InputImplement<GroupInputValueType> {
    state: IState;
    validationTimeout: NodeJS.Timeout | undefined;
    builderRef: RefObject<FormBuilder>;
    constructor(props: GroupInputProps);
    shouldComponentUpdate(nextProps: GroupInputProps, nextState: IState): boolean;
    setValue(values: GroupInputValueType): Promise<GroupInputValueType>;
    getValue(): GroupInputValueType;
    clear(): Promise<GroupInputValueType>;
    validation(): boolean;
    click: () => void;
    focus: () => void;
    blur: () => void;
    render(): JSX.Element;
}
export {};
