/// <reference types="node" />
import React, { Component } from "react";
import { InputImplement } from '../../types/input.implement';
import { MaskInputProps, MaskInputValueType } from './mask.types';
interface IState {
    value: MaskInputValueType;
    error: boolean;
}
export declare class MaskInput extends Component<MaskInputProps, IState> implements InputImplement<MaskInputValueType> {
    state: IState;
    validationTimeout: NodeJS.Timeout | undefined;
    inputRef: HTMLInputElement | undefined;
    shouldComponentUpdate(nextProps: MaskInputProps, nextState: IState): boolean;
    setValue(value: MaskInputValueType): Promise<MaskInputValueType>;
    getValue(): MaskInputValueType;
    clear(): Promise<MaskInputValueType>;
    validation(): boolean;
    onChange: (event: React.ChangeEvent<HTMLInputElement>) => void;
    private normalizeValue;
    private onClick;
    click: () => void;
    focus: () => void;
    blur: () => void;
    render(): JSX.Element;
}
export {};
