/// <reference types="node" />
import { Component } from "react";
import { InputImplement } from '../../types/input.implement';
import { TimeInputProps, TimeInputValueType } from './time.types';
interface IState {
    value: TimeInputValueType;
    error: boolean;
}
export declare class TimeInput extends Component<TimeInputProps, IState> implements InputImplement<TimeInputValueType> {
    state: IState;
    validationTimeout: NodeJS.Timeout | undefined;
    shouldComponentUpdate(nextProps: TimeInputProps, nextState: IState): boolean;
    setValue(value: TimeInputValueType): Promise<TimeInputValueType>;
    getValue(): TimeInputValueType;
    clear(): Promise<TimeInputValueType>;
    validation(): boolean;
    onChange: (event: any) => void;
    private onClick;
    inputRef: HTMLInputElement | null | undefined;
    click: () => void;
    focus: () => void;
    blur: () => void;
    render(): JSX.Element;
}
export {};
